For the complete documentation index, see llms.txt. This page is also available as Markdown.

Executions

get

Retrieves an execution with its children.

Query parameters
chatMessageIdstring · uuidOptional

A UUID v4 string that identifies an entity.

executionIdstring · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an execution with its children.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
creditsUsednumberRequired

The total number of credits used by this execution.

detailany ofRequired

The execution detail containing type-specific information.

or
or
endedAtstring · date-time · nullableRequired

When this execution ended.

isAgenticbooleanRequired

Whether this execution is agentic.

isFailedAttemptbooleanRequired

Whether this execution belongs to a failed retry attempt.

isPurgedbooleanRequired

Whether this execution has been purged.

parentIdstring · uuid · nullableRequired

The parent execution ID of this execution.

responderIdstringRequired

The responder ID of this execution.

startedAtstring · date-timeRequired

When this execution started.

statusstring · enumRequired

The status of the execution.

Possible values:
workspaceIdstringRequired

The workspace ID of this execution.

get/api/v1/executions/nestings
GET /api/v1/executions/nestings HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "creditsUsed": 1,
  "detail": {
    "input": {
      "ANY_ADDITIONAL_PROPERTY": null
    },
    "output": {
      "ANY_ADDITIONAL_PROPERTY": null
    },
    "agentId": "text",
    "events": [
      {
        "creditsUsed": 1,
        "endedAt": "2026-01-01T00:00:00.000Z",
        "id": "text",
        "input": null,
        "label": "text",
        "llmUsages": [
          {
            "inputTokens": 1,
            "model": "text",
            "outputTokens": 1,
            "provider": {
              "id": "text",
              "name": "text"
            }
          }
        ],
        "output": {
          "ANY_ADDITIONAL_PROPERTY": null
        },
        "startedAt": "2026-01-01T00:00:00.000Z",
        "status": "running",
        "llm": "text",
        "llmProvider": {
          "id": "text",
          "name": "text"
        },
        "type": "iteration"
      }
    ],
    "origin": {
      "apiKeyId": "text",
      "type": "api"
    },
    "type": "agent-execution"
  },
  "endedAt": "2026-01-01T00:00:00.000Z",
  "isAgentic": true,
  "isFailedAttempt": true,
  "isPurged": true,
  "parentId": "123e4567-e89b-12d3-a456-426614174000",
  "responderId": "text",
  "startedAt": "2026-01-01T00:00:00.000Z",
  "status": "running",
  "workspaceId": "text",
  "children": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "creditsUsed": 1,
      "detail": {
        "input": {
          "ANY_ADDITIONAL_PROPERTY": null
        },
        "output": {
          "ANY_ADDITIONAL_PROPERTY": null
        },
        "agentId": "text",
        "events": [
          {
            "creditsUsed": 1,
            "endedAt": "2026-01-01T00:00:00.000Z",
            "id": "text",
            "input": null,
            "label": "text",
            "llmUsages": [
              {
                "inputTokens": 1,
                "model": "text",
                "outputTokens": 1,
                "provider": {
                  "id": "text",
                  "name": "text"
                }
              }
            ],
            "output": {
              "ANY_ADDITIONAL_PROPERTY": null
            },
            "startedAt": "2026-01-01T00:00:00.000Z",
            "status": "running",
            "llm": "text",
            "llmProvider": {
              "id": "text",
              "name": "text"
            },
            "type": "iteration"
          }
        ],
        "origin": {
          "apiKeyId": "text",
          "type": "api"
        },
        "type": "agent-execution"
      },
      "endedAt": "2026-01-01T00:00:00.000Z",
      "isAgentic": true,
      "isFailedAttempt": true,
      "isPurged": true,
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "responderId": "text",
      "startedAt": "2026-01-01T00:00:00.000Z",
      "status": "running",
      "workspaceId": "text",
      "children": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "creditsUsed": 1,
          "detail": {
            "input": {
              "ANY_ADDITIONAL_PROPERTY": null
            },
            "output": {
              "ANY_ADDITIONAL_PROPERTY": null
            },
            "agentId": "text",
            "events": [
              {
                "creditsUsed": 1,
                "endedAt": "2026-01-01T00:00:00.000Z",
                "id": "text",
                "input": null,
                "label": "text",
                "llmUsages": [
                  {
                    "inputTokens": 1,
                    "model": "text",
                    "outputTokens": 1,
                    "provider": {
                      "id": "text",
                      "name": "text"
                    }
                  }
                ],
                "output": {
                  "ANY_ADDITIONAL_PROPERTY": null
                },
                "startedAt": "2026-01-01T00:00:00.000Z",
                "status": "running",
                "llm": "text",
                "llmProvider": {
                  "id": "text",
                  "name": "text"
                },
                "type": "iteration"
              }
            ],
            "origin": {
              "apiKeyId": "text",
              "type": "api"
            },
            "type": "agent-execution"
          },
          "endedAt": "2026-01-01T00:00:00.000Z",
          "isAgentic": true,
          "isFailedAttempt": true,
          "isPurged": true,
          "parentId": "123e4567-e89b-12d3-a456-426614174000",
          "responderId": "text",
          "startedAt": "2026-01-01T00:00:00.000Z",
          "status": "running",
          "workspaceId": "text",
          "children": []
        }
      ]
    }
  ],
  "costEstimation": {
    "estimatedTotalCostUsd": 1,
    "inputTokens": 1,
    "iterations": [
      {
        "estimatedCostUsd": 1,
        "eventId": "text",
        "eventType": "iteration",
        "executionId": "text",
        "inputTokens": 1,
        "label": "text",
        "model": "text",
        "outputTokens": 1,
        "provider": {
          "id": "text",
          "name": "text"
        }
      }
    ],
    "outputTokens": 1
  }
}
get

Retrieves an execution.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an execution.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
creditsUsednumberRequired

The total number of credits used by this execution.

detailany ofRequired

The execution detail containing type-specific information.

or
or
endedAtstring · date-time · nullableRequired

When this execution ended.

isAgenticbooleanRequired

Whether this execution is agentic.

isFailedAttemptbooleanRequired

Whether this execution belongs to a failed retry attempt.

isPurgedbooleanRequired

Whether this execution has been purged.

parentIdstring · uuid · nullableRequired

The parent execution ID of this execution.

responderIdstringRequired

The responder ID of this execution.

startedAtstring · date-timeRequired

When this execution started.

statusstring · enumRequired

The status of the execution.

Possible values:
workspaceIdstringRequired

The workspace ID of this execution.

get/api/v1/executions/{id}
GET /api/v1/executions/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "creditsUsed": 1,
  "detail": {
    "input": {
      "ANY_ADDITIONAL_PROPERTY": null
    },
    "output": {
      "ANY_ADDITIONAL_PROPERTY": null
    },
    "agentId": "text",
    "events": [
      {
        "creditsUsed": 1,
        "endedAt": "2026-01-01T00:00:00.000Z",
        "id": "text",
        "input": null,
        "label": "text",
        "llmUsages": [
          {
            "inputTokens": 1,
            "model": "text",
            "outputTokens": 1,
            "provider": {
              "id": "text",
              "name": "text"
            }
          }
        ],
        "output": {
          "ANY_ADDITIONAL_PROPERTY": null
        },
        "startedAt": "2026-01-01T00:00:00.000Z",
        "status": "running",
        "llm": "text",
        "llmProvider": {
          "id": "text",
          "name": "text"
        },
        "type": "iteration"
      }
    ],
    "origin": {
      "apiKeyId": "text",
      "type": "api"
    },
    "type": "agent-execution"
  },
  "endedAt": "2026-01-01T00:00:00.000Z",
  "isAgentic": true,
  "isFailedAttempt": true,
  "isPurged": true,
  "parentId": "123e4567-e89b-12d3-a456-426614174000",
  "responderId": "text",
  "startedAt": "2026-01-01T00:00:00.000Z",
  "status": "running",
  "workspaceId": "text"
}
get

Retrieves multiple executions.

Query parameters
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
responderIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all executions for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
creditsUsednumberRequired

The total number of credits used by this execution.

detailany ofRequired

The execution detail containing type-specific information.

or
or
endedAtstring · date-time · nullableRequired

When this execution ended.

isAgenticbooleanRequired

Whether this execution is agentic.

isFailedAttemptbooleanRequired

Whether this execution belongs to a failed retry attempt.

isPurgedbooleanRequired

Whether this execution has been purged.

parentIdstring · uuid · nullableRequired

The parent execution ID of this execution.

responderIdstringRequired

The responder ID of this execution.

startedAtstring · date-timeRequired

When this execution started.

statusstring · enumRequired

The status of the execution.

Possible values:
workspaceIdstringRequired

The workspace ID of this execution.

get/api/v1/executions
GET /api/v1/executions HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "creditsUsed": 1,
    "detail": {
      "input": {
        "ANY_ADDITIONAL_PROPERTY": null
      },
      "output": {
        "ANY_ADDITIONAL_PROPERTY": null
      },
      "agentId": "text",
      "events": [
        {
          "creditsUsed": 1,
          "endedAt": "2026-01-01T00:00:00.000Z",
          "id": "text",
          "input": null,
          "label": "text",
          "llmUsages": [
            {
              "inputTokens": 1,
              "model": "text",
              "outputTokens": 1,
              "provider": {
                "id": "text",
                "name": "text"
              }
            }
          ],
          "output": {
            "ANY_ADDITIONAL_PROPERTY": null
          },
          "startedAt": "2026-01-01T00:00:00.000Z",
          "status": "running",
          "llm": "text",
          "llmProvider": {
            "id": "text",
            "name": "text"
          },
          "type": "iteration"
        }
      ],
      "origin": {
        "apiKeyId": "text",
        "type": "api"
      },
      "type": "agent-execution"
    },
    "endedAt": "2026-01-01T00:00:00.000Z",
    "isAgentic": true,
    "isFailedAttempt": true,
    "isPurged": true,
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "responderId": "text",
    "startedAt": "2026-01-01T00:00:00.000Z",
    "status": "running",
    "workspaceId": "text"
  }
]

Last updated